#define window_init
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_init ( )
 *   
 *   Initializes the DLL.
 *   You must call this function first.
 */

global._ActivateWindow = external_define('Window.dll', 'ActivateWindow', dll_cdecl, ty_real, 1, ty_real);
global._RestoreWindow = external_define('Window.dll', 'RestoreWindow', dll_cdecl, ty_real, 1, ty_real);
global._MinimizeWindow = external_define('Window.dll', 'MinimizeWindow', dll_cdecl, ty_real, 1, ty_real);
global._MaximizeWindow = external_define('Window.dll', 'MaximizeWindow', dll_cdecl, ty_real, 1, ty_real);
global._GetForeground = external_define('Window.dll', 'GetForeground', dll_cdecl, ty_real, 0);
global._GetMinimized = external_define('Window.dll', 'GetMinimized', dll_cdecl, ty_real, 1, ty_real);
global._GetMaximized = external_define('Window.dll', 'GetMaximized', dll_cdecl, ty_real, 1, ty_real);
#define window_deinit
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_deinit ( )
 *   
 *   Deinitializes the DLL.
 *   Calling this function is optional.
 */

external_free('Window.dll');
#define window_activate
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_activate ( )
 *   
 *   Sets the focus on the window.
 *   Returns whether successful.
 */

return external_call(global._ActivateWindow, window_handle());
#define window_restore
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_restore ( )
 *   
 *   Restores the window after it has been minimized or maximized.
 *   Returns whether successful.
 */

return external_call(global._RestoreWindow, window_handle());
#define window_minimize
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_minimize ( )
 *   
 *   Minimizes the window.
 *   Returns whether successful.
 */

return external_call(global._MinimizeWindow, window_handle());
#define window_maximize
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_maximize ( )
 *   
 *   Maximizes the window.
 *   Returns whether successful.
 */

return external_call(global._MaximizeWindow, window_handle());
#define window_get_activated
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_get_activated ( )
 *   
 *   Returns whether the window has the focus.
 */

return(external_call(global._GetForeground) == window_handle());
#define window_get_minimized
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_get_minimized ( )
 *   
 *   Returns whether the window has been minimized.
 */

return external_call(global._GetMinimized, window_handle());
#define window_get_maximized
/*   Blijbol Window DLL, www.blijbol.nl
 *   
 *   window_get_maximized ( )
 *   
 *   Returns whether the window has been maximized.
 */

return external_call(global._GetMaximized, window_handle());
